ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/gvpe/configure
(Generate patch)

Comparing gvpe/configure (file contents):
Revision 1.33 by pcg, Thu Mar 29 17:35:20 2007 UTC vs.
Revision 1.34 by pcg, Sat Nov 10 05:14:21 2007 UTC

9546 9546
9547fi 9547fi
9548 9548
9549 9549
9550fi 9550fi
9551
9552
9553
9554
9555
9556
9557for ac_header in sys/epoll.h sys/event.h sys/queue.h
9558do
9559as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
9560if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
9561 { echo "$as_me:$LINENO: checking for $ac_header" >&5
9562echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
9563if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
9564 echo $ECHO_N "(cached) $ECHO_C" >&6
9565fi
9566ac_res=`eval echo '${'$as_ac_Header'}'`
9567 { echo "$as_me:$LINENO: result: $ac_res" >&5
9568echo "${ECHO_T}$ac_res" >&6; }
9569else
9570 # Is the header compilable?
9571{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
9572echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
9573cat >conftest.$ac_ext <<_ACEOF
9574/* confdefs.h. */
9575_ACEOF
9576cat confdefs.h >>conftest.$ac_ext
9577cat >>conftest.$ac_ext <<_ACEOF
9578/* end confdefs.h. */
9579$ac_includes_default
9580#include <$ac_header>
9581_ACEOF
9582rm -f conftest.$ac_objext
9583if { (ac_try="$ac_compile"
9584case "(($ac_try" in
9585 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9586 *) ac_try_echo=$ac_try;;
9587esac
9588eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9589 (eval "$ac_compile") 2>conftest.er1
9590 ac_status=$?
9591 grep -v '^ *+' conftest.er1 >conftest.err
9592 rm -f conftest.er1
9593 cat conftest.err >&5
9594 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9595 (exit $ac_status); } && {
9596 test -z "$ac_c_werror_flag" ||
9597 test ! -s conftest.err
9598 } && test -s conftest.$ac_objext; then
9599 ac_header_compiler=yes
9600else
9601 echo "$as_me: failed program was:" >&5
9602sed 's/^/| /' conftest.$ac_ext >&5
9603
9604 ac_header_compiler=no
9605fi
9606
9607rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
9608{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
9609echo "${ECHO_T}$ac_header_compiler" >&6; }
9610
9611# Is the header present?
9612{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
9613echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
9614cat >conftest.$ac_ext <<_ACEOF
9615/* confdefs.h. */
9616_ACEOF
9617cat confdefs.h >>conftest.$ac_ext
9618cat >>conftest.$ac_ext <<_ACEOF
9619/* end confdefs.h. */
9620#include <$ac_header>
9621_ACEOF
9622if { (ac_try="$ac_cpp conftest.$ac_ext"
9623case "(($ac_try" in
9624 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9625 *) ac_try_echo=$ac_try;;
9626esac
9627eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9628 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
9629 ac_status=$?
9630 grep -v '^ *+' conftest.er1 >conftest.err
9631 rm -f conftest.er1
9632 cat conftest.err >&5
9633 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9634 (exit $ac_status); } >/dev/null && {
9635 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
9636 test ! -s conftest.err
9637 }; then
9638 ac_header_preproc=yes
9639else
9640 echo "$as_me: failed program was:" >&5
9641sed 's/^/| /' conftest.$ac_ext >&5
9642
9643 ac_header_preproc=no
9644fi
9645
9646rm -f conftest.err conftest.$ac_ext
9647{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
9648echo "${ECHO_T}$ac_header_preproc" >&6; }
9649
9650# So? What about this header?
9651case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
9652 yes:no: )
9653 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
9654echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
9655 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
9656echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
9657 ac_header_preproc=yes
9658 ;;
9659 no:yes:* )
9660 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
9661echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
9662 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
9663echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
9664 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
9665echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
9666 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
9667echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
9668 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
9669echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
9670 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
9671echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
9672
9673 ;;
9674esac
9675{ echo "$as_me:$LINENO: checking for $ac_header" >&5
9676echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
9677if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
9678 echo $ECHO_N "(cached) $ECHO_C" >&6
9679else
9680 eval "$as_ac_Header=\$ac_header_preproc"
9681fi
9682ac_res=`eval echo '${'$as_ac_Header'}'`
9683 { echo "$as_me:$LINENO: result: $ac_res" >&5
9684echo "${ECHO_T}$ac_res" >&6; }
9685
9686fi
9687if test `eval echo '${'$as_ac_Header'}'` = yes; then
9688 cat >>confdefs.h <<_ACEOF
9689#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
9690_ACEOF
9691
9692fi
9693
9694done
9695
9696
9697
9698
9699for ac_func in epoll_ctl kqueue
9700do
9701as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
9702{ echo "$as_me:$LINENO: checking for $ac_func" >&5
9703echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
9704if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
9705 echo $ECHO_N "(cached) $ECHO_C" >&6
9706else
9707 cat >conftest.$ac_ext <<_ACEOF
9708/* confdefs.h. */
9709_ACEOF
9710cat confdefs.h >>conftest.$ac_ext
9711cat >>conftest.$ac_ext <<_ACEOF
9712/* end confdefs.h. */
9713/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
9714 For example, HP-UX 11i <limits.h> declares gettimeofday. */
9715#define $ac_func innocuous_$ac_func
9716
9717/* System header to define __stub macros and hopefully few prototypes,
9718 which can conflict with char $ac_func (); below.
9719 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
9720 <limits.h> exists even on freestanding compilers. */
9721
9722#ifdef __STDC__
9723# include <limits.h>
9724#else
9725# include <assert.h>
9726#endif
9727
9728#undef $ac_func
9729
9730/* Override any GCC internal prototype to avoid an error.
9731 Use char because int might match the return type of a GCC
9732 builtin and then its argument prototype would still apply. */
9733#ifdef __cplusplus
9734extern "C"
9735#endif
9736char $ac_func ();
9737/* The GNU C library defines this for functions which it implements
9738 to always fail with ENOSYS. Some functions are actually named
9739 something starting with __ and the normal name is an alias. */
9740#if defined __stub_$ac_func || defined __stub___$ac_func
9741choke me
9742#endif
9743
9744int
9745main ()
9746{
9747return $ac_func ();
9748 ;
9749 return 0;
9750}
9751_ACEOF
9752rm -f conftest.$ac_objext conftest$ac_exeext
9753if { (ac_try="$ac_link"
9754case "(($ac_try" in
9755 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9756 *) ac_try_echo=$ac_try;;
9757esac
9758eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9759 (eval "$ac_link") 2>conftest.er1
9760 ac_status=$?
9761 grep -v '^ *+' conftest.er1 >conftest.err
9762 rm -f conftest.er1
9763 cat conftest.err >&5
9764 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9765 (exit $ac_status); } && {
9766 test -z "$ac_c_werror_flag" ||
9767 test ! -s conftest.err
9768 } && test -s conftest$ac_exeext &&
9769 $as_test_x conftest$ac_exeext; then
9770 eval "$as_ac_var=yes"
9771else
9772 echo "$as_me: failed program was:" >&5
9773sed 's/^/| /' conftest.$ac_ext >&5
9774
9775 eval "$as_ac_var=no"
9776fi
9777
9778rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
9779 conftest$ac_exeext conftest.$ac_ext
9780fi
9781ac_res=`eval echo '${'$as_ac_var'}'`
9782 { echo "$as_me:$LINENO: result: $ac_res" >&5
9783echo "${ECHO_T}$ac_res" >&6; }
9784if test `eval echo '${'$as_ac_var'}'` = yes; then
9785 cat >>confdefs.h <<_ACEOF
9786#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
9787_ACEOF
9788
9789fi
9790done
9791
9792
9793{ echo "$as_me:$LINENO: checking for clock_gettime" >&5
9794echo $ECHO_N "checking for clock_gettime... $ECHO_C" >&6; }
9795if test "${ac_cv_func_clock_gettime+set}" = set; then
9796 echo $ECHO_N "(cached) $ECHO_C" >&6
9797else
9798 cat >conftest.$ac_ext <<_ACEOF
9799/* confdefs.h. */
9800_ACEOF
9801cat confdefs.h >>conftest.$ac_ext
9802cat >>conftest.$ac_ext <<_ACEOF
9803/* end confdefs.h. */
9804/* Define clock_gettime to an innocuous variant, in case <limits.h> declares clock_gettime.
9805 For example, HP-UX 11i <limits.h> declares gettimeofday. */
9806#define clock_gettime innocuous_clock_gettime
9807
9808/* System header to define __stub macros and hopefully few prototypes,
9809 which can conflict with char clock_gettime (); below.
9810 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
9811 <limits.h> exists even on freestanding compilers. */
9812
9813#ifdef __STDC__
9814# include <limits.h>
9815#else
9816# include <assert.h>
9817#endif
9818
9819#undef clock_gettime
9820
9821/* Override any GCC internal prototype to avoid an error.
9822 Use char because int might match the return type of a GCC
9823 builtin and then its argument prototype would still apply. */
9824#ifdef __cplusplus
9825extern "C"
9826#endif
9827char clock_gettime ();
9828/* The GNU C library defines this for functions which it implements
9829 to always fail with ENOSYS. Some functions are actually named
9830 something starting with __ and the normal name is an alias. */
9831#if defined __stub_clock_gettime || defined __stub___clock_gettime
9832choke me
9833#endif
9834
9835int
9836main ()
9837{
9838return clock_gettime ();
9839 ;
9840 return 0;
9841}
9842_ACEOF
9843rm -f conftest.$ac_objext conftest$ac_exeext
9844if { (ac_try="$ac_link"
9845case "(($ac_try" in
9846 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9847 *) ac_try_echo=$ac_try;;
9848esac
9849eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9850 (eval "$ac_link") 2>conftest.er1
9851 ac_status=$?
9852 grep -v '^ *+' conftest.er1 >conftest.err
9853 rm -f conftest.er1
9854 cat conftest.err >&5
9855 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9856 (exit $ac_status); } && {
9857 test -z "$ac_c_werror_flag" ||
9858 test ! -s conftest.err
9859 } && test -s conftest$ac_exeext &&
9860 $as_test_x conftest$ac_exeext; then
9861 ac_cv_func_clock_gettime=yes
9862else
9863 echo "$as_me: failed program was:" >&5
9864sed 's/^/| /' conftest.$ac_ext >&5
9865
9866 ac_cv_func_clock_gettime=no
9867fi
9868
9869rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
9870 conftest$ac_exeext conftest.$ac_ext
9871fi
9872{ echo "$as_me:$LINENO: result: $ac_cv_func_clock_gettime" >&5
9873echo "${ECHO_T}$ac_cv_func_clock_gettime" >&6; }
9874if test $ac_cv_func_clock_gettime = yes; then
9875 :
9876else
9877
9878
9879{ echo "$as_me:$LINENO: checking for clock_gettime in -lrt" >&5
9880echo $ECHO_N "checking for clock_gettime in -lrt... $ECHO_C" >&6; }
9881if test "${ac_cv_lib_rt_clock_gettime+set}" = set; then
9882 echo $ECHO_N "(cached) $ECHO_C" >&6
9883else
9884 ac_check_lib_save_LIBS=$LIBS
9885LIBS="-lrt $LIBS"
9886cat >conftest.$ac_ext <<_ACEOF
9887/* confdefs.h. */
9888_ACEOF
9889cat confdefs.h >>conftest.$ac_ext
9890cat >>conftest.$ac_ext <<_ACEOF
9891/* end confdefs.h. */
9892
9893/* Override any GCC internal prototype to avoid an error.
9894 Use char because int might match the return type of a GCC
9895 builtin and then its argument prototype would still apply. */
9896#ifdef __cplusplus
9897extern "C"
9898#endif
9899char clock_gettime ();
9900int
9901main ()
9902{
9903return clock_gettime ();
9904 ;
9905 return 0;
9906}
9907_ACEOF
9908rm -f conftest.$ac_objext conftest$ac_exeext
9909if { (ac_try="$ac_link"
9910case "(($ac_try" in
9911 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9912 *) ac_try_echo=$ac_try;;
9913esac
9914eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9915 (eval "$ac_link") 2>conftest.er1
9916 ac_status=$?
9917 grep -v '^ *+' conftest.er1 >conftest.err
9918 rm -f conftest.er1
9919 cat conftest.err >&5
9920 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9921 (exit $ac_status); } && {
9922 test -z "$ac_c_werror_flag" ||
9923 test ! -s conftest.err
9924 } && test -s conftest$ac_exeext &&
9925 $as_test_x conftest$ac_exeext; then
9926 ac_cv_lib_rt_clock_gettime=yes
9927else
9928 echo "$as_me: failed program was:" >&5
9929sed 's/^/| /' conftest.$ac_ext >&5
9930
9931 ac_cv_lib_rt_clock_gettime=no
9932fi
9933
9934rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
9935 conftest$ac_exeext conftest.$ac_ext
9936LIBS=$ac_check_lib_save_LIBS
9937fi
9938{ echo "$as_me:$LINENO: result: $ac_cv_lib_rt_clock_gettime" >&5
9939echo "${ECHO_T}$ac_cv_lib_rt_clock_gettime" >&6; }
9940if test $ac_cv_lib_rt_clock_gettime = yes; then
9941 cat >>confdefs.h <<_ACEOF
9942#define HAVE_LIBRT 1
9943_ACEOF
9944
9945 LIBS="-lrt $LIBS"
9946
9947fi
9948
9949
9950fi
9951
9952
9953
9954
9551 9955
9552 9956
9553ac_ext=cpp 9957ac_ext=cpp
9554ac_cpp='$CXXCPP $CPPFLAGS' 9958ac_cpp='$CXXCPP $CPPFLAGS'
9555ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5' 9959ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines